Latest0.1.70
Homepagehttps://github.com/exis-io/swiftRiffle
LicenseMIT
Platformsios 8.0, osx 10.10, requires ARC
DependenciesSocketRocket, MPMessagePack, CocoaAsyncSocket, AFNetworking
Authors

Join the Chat!

Riffle

swiftRiffle

This directory contains the swiftRiffle client libraries and a set of preconfigured projects.

Riffle requries at least iOS 8.0, OSX 10.10, and Swift 2.1. Please check out Known Issues below for troubleshooting.

iOS Apps

This is only for the development of iOS apps.

Download a zip.

Clone the project from github:

git clone https://github.com/exis-io/iosAppSeed.git

Install using Cocoapods:

platform :ios, '9.0'
use_frameworks!
pod 'Riffle'

iOS Apps And Backends

This is for the development of iOS apps and swift backends.

Download a zip

Clone the project from github:

git clone https://github.com/exis-io/iosAppBackendSeed.git

Replace ExisiOSBackend and Backend with the target name of your app and backend, respectively. Cocoapods:

use_frameworks!

target :ExisiOSBackend, :exclusive => true do
  platform :ios, '9.0'
  pod 'Riffle'
end

target :Backend, :exclusive => true do
  platform :osx, '10.10'
  pod 'Riffle'
end

Known Issues

In progress.

Latest podspec

{
    "name": "Riffle",
    "version": "0.1.70",
    "summary": "Client side library for connecting to a fabric.",
    "platforms": {
        "ios": "8.0",
        "osx": "10.10"
    },
    "description": "Riffle allows for simple interaction with a Fabric. This library is meant to replace yournnetworking code with something that doesn't look like networking code at all!",
    "homepage": "https://github.com/exis-io/swiftRiffle",
    "license": "MIT",
    "authors": {
        "Damouse": "[email protected]"
    },
    "source": {
        "git": "https://github.com/exis-io/swiftRiffle.git",
        "tag": "0.1.70"
    },
    "requires_arc": true,
    "source_files": "Pod/Classes/**/*",
    "dependencies": {
        "SocketRocket": [
            "0.4.1"
        ],
        "MPMessagePack": [
            "1.3.2"
        ],
        "CocoaAsyncSocket": [
            "7.4.1"
        ],
        "AFNetworking": [
            "2.6.1"
        ]
    }
}

Pin It on Pinterest

Share This